import { IOriginModelingData } from "../../../Production/Product";
export declare class CadBlockPoint {
    PointID: number;
    PointX: number;
    PointY: number;
    Curve: number;
    SealSize: number;
}
export declare class CadBlockHoles {
    HoleID: number;
    HoleType: HoleType;
    Face: FaceType;
    PointX: number;
    PointY: number;
    PointZ: number;
    Radius: number;
    Depth: number;
    EndPoint: string;
    PointX2: number;
    PointY2: number;
    Angle?: number;
}
export declare enum HoleType {
    大孔 = 0,
    小孔 = 10,
    木削 = 20,
    木削大孔 = 21,
    层板钉 = 30,
    通孔 = 40,
    连接杆 = 50,
    造型孔 = -10
}
export declare enum FaceType {
    正面 = 0,
    反面 = 1,
    侧面 = 2
}
export declare class CadBlockModel {
    ModelID: number;
    LineID: number;
    Face: FaceType;
    KnifeName: string;
    KnifeRadius: number;
    Depth: number;
    PointList: CadBlockModelPoint[];
    OffSetList: ModelOffSetData[];
    OriginModeling: IOriginModelingData;
}
export declare class ModelOffSetData {
    Name: string;
    Face: FaceType;
    Value: number;
    Radius: number;
    Deep: number;
    Angle: number;
}
export declare class CadBlockModelPoint {
    LineID: number;
    PointID: number;
    PointX: number;
    PointY: number;
    Radius: number;
    Depth: number;
    Curve: number;
}
export declare class BasePosition {
    BasePoint: string;
    XVec: string;
    YVec: string;
    ZVec: string;
}
export declare class CadBlockInfo {
    PointDetail: CadBlockPoint[];
    HoleDetail: CadBlockHoles[];
    ModelDetail: CadBlockModel[];
    OrgPointDetail: CadBlockPoint[];
    SideModelDetail: CadBlockModel[];
    SideHoleDetail: CadBlockHoles[];
}
//# sourceMappingURL=CadBlockInfo.d.ts.map