import { Vector3 } from "three";
import { Board } from "../../DatabaseServices/Entity/Board";
import { HardwareCompositeEntity } from "../../DatabaseServices/Hardware/HardwareCompositeEntity";
import { HardwareTopline } from "../../DatabaseServices/Hardware/HardwareTopline";
import { IHardwareType } from "../../Production/Product";
export interface ICountType<T = IHardwareType> {
    name?: string;
    count: number;
    entity?: T;
    count2?: number | string;
    unit?: string;
    length?: number;
}
export declare type GetCountOption = {
    sealGruopKey: (block: Board) => string;
};
declare class LookOverBoardInfosTool {
    private drillTypeMap;
    private sealMap;
    private boardMap;
    GetCount(brs: (Board | IHardwareType)[], options?: GetCountOption): {
        drillCount: ICountType<HardwareCompositeEntity | HardwareTopline>[];
        hardwareCount: ICountType<HardwareCompositeEntity | HardwareTopline>[];
        sealCount: ICountType<HardwareCompositeEntity | HardwareTopline>[];
        areaCount: ICountType<Board>[];
    };
    private Update;
    ParseSpec(en: IHardwareType | Vector3, spec: string, len?: number): string;
    ParseHardwareCount(k: string, v: IHardwareType[], hardwareCount: ICountType[]): void;
    private UpdateBoardMap;
    GetBoardThickness(br: Board): string;
    GetBoardsArea(brs: Board[]): string;
}
export declare const lookOverBoardInfosTool: LookOverBoardInfosTool;
export {};
//# sourceMappingURL=LookOverBoardInfosTool.d.ts.map