import { DrillingReactor } from '../Add-on/DrawDrilling/DrillingReactor';
import { CADFiler } from '../DatabaseServices/CADFiler';
import { Database } from '../DatabaseServices/Database';
import { BoardMoveTool } from '../Editor/BoardMoveTool';
import { Editor } from '../Editor/Editor';
import { Viewer } from '../GraphicsSystem/Viewer';
import { CommandReactor } from '../Reactor/CommandReactor';
import { SyncDataReactor } from '../Reactor/SyncDataReactor';
import { WebSocketClientServer } from './WebSocketClientServer';
import { HardwareCuttingReactor } from '../Add-on/BoardCutting/HardwareCuttingReactor';
import { AutoSaveServer } from '../Editor/AutoSave';
import { LayoutTool } from '../Editor/LayoutTool';
export declare let app: ApplicationService;
/**
 * webCAD应用.
 */
export declare class ApplicationService {
    Database: Database;
    Viewer: Viewer;
    Editor: Editor;
    CommandReactor: CommandReactor;
    _drillingReactor: DrillingReactor;
    _hardwareCuttingReactor: HardwareCuttingReactor;
    Saved: boolean;
    MoveTool: BoardMoveTool;
    WebSocket: WebSocketClientServer;
    SyncDataReactor: SyncDataReactor;
    AutoSaveServer: AutoSaveServer;
    LayoutTool: LayoutTool;
    constructor();
    InitViewDir(): void;
    CreateDocument(name?: string): void;
    FileOut(): CADFiler;
    FileOut2(): CADFiler;
    OpenFile(f: CADFiler): void;
}
//# sourceMappingURL=Application.d.ts.map