export declare enum MouseKey {
    Left = 0,
    Middle = 1,
    Right = 2
}
export declare enum KeyBoard {
    Digit1 = 49,
    Digit2 = 50,
    Digit3 = 51,
    Digit4 = 52,
    Digit5 = 53,
    Digit6 = 54,
    Digit7 = 55,
    Digit8 = 56,
    Digit9 = 57,
    Digit0 = 58,
    KeyA = 65,
    KeyB = 66,
    KeyC = 67,
    KeyD = 68,
    KeyE = 69,
    KeyF = 70,
    KeyG = 71,
    KeyH = 72,
    KeyI = 73,
    KeyJ = 74,
    KeyK = 75,
    KeyL = 76,
    KeyM = 77,
    KeyN = 78,
    KeyO = 79,
    KeyP = 80,
    KeyQ = 81,
    KeyR = 82,
    KeyS = 83,
    KeyT = 84,
    KeyU = 85,
    KeyV = 86,
    KeyW = 87,
    KeyX = 88,
    KeyY = 89,
    KeyZ = 90,
    /**
     * 逗号
     */
    Comma = 188,
    CommaChrome = 229,
    /**
     * 句号
     */
    Period = 190,
    /**
     * 分号
     */
    Semicolon = 186,
    /**
     * 引号
     */
    Quote = 222,
    /**
     * 左括号
     */
    BracketLeft = 219,
    /**
     * 右括号
     */
    BracketRight = 220,
    /**
     * 反引号
     */
    Backquote = 192,
    /**
     * 反斜杠
     */
    Backslash = 220,
    /**
     * 减号
     */
    Minus = 189,
    /**
     * 等号
     */
    Equal = 187,
    IntlRo = 193,
    IntlYen = 255,
    Alt = 18,
    /**
     * 大写锁定
     */
    CapsLock = 20,
    Control = 17,
    /**
     * win左键
     */
    OSLeft = 91,
    /**
     * win右键
     */
    OSRight = 92,
    Shift = 16,
    ContextMenu = 93,
    Enter = 13,
    Space = 32,
    Backspace = 8,
    Tab = 9,
    Delete = 46,
    End = 35,
    Home = 36,
    Insert = 45,
    PageDown = 34,
    PageUp = 33,
    ArrowDown = 40,
    ArrowLeft = 37,
    ArrowRight = 39,
    ArrowUp = 38,
    Escape = 27,
    PrintScreen = 44,
    ScrollLock = 145,
    Pause = 19,
    F1 = 112,
    F2 = 113,
    F3 = 114,
    F5 = 116,
    F6 = 117,
    F7 = 118,
    F8 = 119,
    F9 = 120,
    F10 = 121,
    F11 = 122,
    F12 = 123,
    NumLock = 114,
    Numpad0 = 96,
    Numpad1 = 97,
    Numpad2 = 98,
    Numpad3 = 99,
    Numpad4 = 100,
    Numpad5 = 101,
    Numpad6 = 102,
    Numpad7 = 103,
    Numpad8 = 104,
    Numpad9 = 105,
    NumpadAdd = 107,
    NumpadDivide = 111,
    NumpadEqual = 12,
    NumpadMultiply = 106,
    NumpadSubtract = 109,
    NumpadDot = 110,
    NumpadDot1 = 190
}
export declare enum KeyCode {
    Digit1 = "Digit1",
    Digit2 = "Digit2",
    Digit3 = "Digit3",
    Digit4 = "Digit4",
    Digit5 = "Digit5",
    Digit6 = "Digit6",
    Digit7 = "Digit7",
    Digit8 = "Digit8",
    Digit9 = "Digit9",
    Digit0 = "Digit0",
    KeyA = "KeyA",
    KeyB = "KeyB",
    KeyC = "KeyC",
    KeyD = "KeyD",
    KeyE = "KeyE",
    KeyF = "KeyF",
    KeyG = "KeyG",
    KeyH = "KeyH",
    KeyI = "KeyI",
    KeyJ = "KeyJ",
    KeyK = "KeyK",
    KeyL = "KeyL",
    KeyM = "KeyM",
    KeyN = "KeyN",
    KeyO = "KeyO",
    KeyP = "KeyP",
    KeyQ = "KeyQ",
    KeyR = "KeyR",
    KeyS = "KeyS",
    KeyT = "KeyT",
    KeyU = "KeyU",
    KeyV = "KeyV",
    KeyW = "KeyW",
    KeyX = "KeyX",
    KeyY = "KeyY",
    KeyZ = "KeyZ",
    /**
     * 逗号
     */
    Comma = "Comma",
    CommaChrome = "CommaChrome",
    /**
     * 句号
     */
    Period = "Period",
    /**
     * 分号
     */
    Semicolon = "Semicolon",
    /**
     * 引号
     */
    Quote = "Quote",
    /**
     * 左括号
     */
    BracketLeft = "BracketLeft",
    /**
     * 右括号
     */
    BracketRight = "BracketRight",
    /**
     * 反引号
     */
    Backquote = "Backquote",
    /**
     * 反斜杠
     */
    Backslash = "Backslash",
    /**
     * 减号
     */
    Minus = "Minus",
    /**
     * 等号
     */
    Equal = "Equal",
    IntlRo = "IntlRo",
    IntlYen = "IntlYen",
    Alt = "Alt",
    AltLeft = "AltLeft",
    /**
     * 大写锁定
     */
    CapsLock = "CapsLock",
    Control = "Control",
    ControlLeft = "ControlLeft",
    /**
     * win左键
     */
    OSLeft = "OSLeft",
    /**
     * win右键
     */
    OSRight = "OSRight",
    Shift = "Shift",
    ShiftLeft = "ShiftLeft",
    ContextMenu = "ContextMenu",
    Enter = "Enter",
    Space = "Space",
    Backspace = "Backspace",
    Tab = "Tab",
    Delete = "Delete",
    End = "End",
    Home = "Home",
    Insert = "Insert",
    PageDown = "PageDown",
    PageUp = "PageUp",
    ArrowDown = "ArrowDown",
    ArrowLeft = "ArrowLeft",
    ArrowRight = "ArrowRight",
    ArrowUp = "ArrowUp",
    Escape = "Escape",
    PrintScreen = "PrintScreen",
    ScrollLock = "ScrollLock",
    Pause = "Pause",
    F1 = "F1",
    F2 = "F2",
    F3 = "F3",
    F5 = "F5",
    F6 = "F6",
    F7 = "F7",
    F8 = "F8",
    F9 = "F9",
    F10 = "F10",
    F11 = "F11",
    F12 = "F12",
    NumLock = "NumLock",
    Numpad0 = "Numpad0",
    Numpad1 = "Numpad1",
    Numpad2 = "Numpad2",
    Numpad3 = "Numpad3",
    Numpad4 = "Numpad4",
    Numpad5 = "Numpad5",
    Numpad6 = "Numpad6",
    Numpad7 = "Numpad7",
    Numpad8 = "Numpad8",
    Numpad9 = "Numpad9",
    NumpadAdd = "NumpadAdd",
    NumpadDivide = "NumpadDivide",
    NumpadEqual = "NumpadEqual",
    NumpadMultiply = "NumpadMultiply",
    NumpadSubtract = "NumpadSubtract",
    NumpadDot = "NumpadDot",
    NumpadDot1 = "NumpadDot1"
}
//# sourceMappingURL=KeyEnum.d.ts.map