export declare enum DirectoryId {
    None = "",
    FileDir = "1",
    MaterialDir = "2",
    ImgDir = "3",
    ToplineDir = "4",
    TemplateDir = "5",
    DrillingDir = "6",
    KnifePathDir = "7",
    Frame = "8"
}
export declare enum RequestStatus {
    NoLogin = 88888,
    Ok = 0,
    NoPermission = 102,
    DeleteWarn1 = 401,
    DeleteWarn2 = 402,
    NoBuy = 3298,
    NoBuy1 = 3299,
    NoBuy2 = 3300,
    NoBuy3 = 3301,
    NoBuy4 = 3412,
    None = -1,
    OffLine = 44444,
    NoToken = 6600
}
export interface IResponseData {
    err_code: RequestStatus;
    err_msg: string;
    [key: string]: any;
}
export declare function PostJson<T = object>(url: string, body: Exclude<T, BodyInit>, isShowErrMsg?: boolean): Promise<IResponseData>;
export declare function Post(url: string, body?: BodyInit, isShowErrMsg?: boolean): Promise<IResponseData>;
export declare function FetchGet(url: string): Promise<any>;
export declare function uploadLogo(blob: Blob): Promise<string>;
//# sourceMappingURL=Request.d.ts.map