import { CADObject } from './CADObject';
import { Database } from './Database';
import { ISerialize } from './ISerialize';
import { ObjectId } from './ObjectId';
/**
 * CAD文件数据
 */
export declare class CADFiler {
    protected _datas: any[];
    database: Database;
    private readIndex;
    constructor(_datas?: any[]);
    Destroy(): void;
    get Data(): any[];
    set Data(data: any[]);
    Clear(): this;
    Reset(): this;
    WriteString(str: string): this;
    ReadString(): string;
    WriteObject(obj: ISerialize): this;
    ReadObject<T extends ISerialize = CADObject>(obj?: T): T;
    CloneObjects(objects: CADObject[], clonedObjects?: CADObject[]): CADObject[];
    Write(data: any): this;
    Read(): any;
    ReadArray(count: number): any[];
    WriteObjectId(id: ObjectId): this;
    ReadObjectId(): ObjectId;
    WriteSoftObjectId(id: ObjectId): this;
    ReadSoftObjectId(): ObjectId;
    WriteHardObjectId(id: ObjectId): this;
    ReadHardObjectId(): ObjectId;
    ToString(): string;
    FromString(str: string): void;
}
//# sourceMappingURL=CADFiler.d.ts.map