import { Object3D, Vector3 } from "three";
import { ObjectSnapMode } from "../../Editor/ObjectSnapMode";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { Entity } from "./Entity";
export declare class Point extends Entity {
    constructor(position?: Vector3);
    /**
    * 初始化绘制的threejs实体,子类型重载该函数初始化绘制实体.
    *
    * @param {RenderType} [renderType=RenderType.Wireframe] 渲染类型
    * @returns {Object3D} 返回的threejs实体.
    * @memberof Entity
    */
    protected InitDrawObject(renderType?: RenderType): Object3D;
    GetObjectSnapPoints(snapMode: ObjectSnapMode, pickPoint: Vector3, lastPoint: Vector3): Vector3[];
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    GetStretchPoints(): Array<Vector3>;
    /**
     * 拉伸夹点,用于Stretch命令
     *
     * @param {Array<number>} indexList 拉伸点索引列表.
     * @param {Vector3} vec 移动向量
     * @memberof Entity
     */
    MoveStretchPoints(indexList: Array<number>, vec: Vector3): void;
}
//# sourceMappingURL=Point.d.ts.map