import { Matrix4, Object3D, Vector3 } from "three";
import { RenderType } from "../../GraphicsSystem/RenderType";
import { CADFiler } from "../CADFiler";
import { Light } from "./Light";
/**
 * 平行光源
 */
export declare class DirectionalLight extends Light {
    OnlyRenderType: boolean;
    private _Target;
    protected _ShowHelper: boolean;
    get Target(): Vector3;
    set Target(p: Vector3);
    ApplyMatrix(m: Matrix4): this;
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=DirectionalLight.d.ts.map