import { Color, Object3D, Vector3 } from 'three';
import { ObjectSnapMode } from '../../Editor/ObjectSnapMode';
import { RenderType } from '../../GraphicsSystem/RenderType';
import { CADFiler } from '../CADFiler';
import { Entity } from '../Entity/Entity';
/**
 * 灯光实体基类
 */
export declare class Light extends Entity {
    protected _Intensity: number;
    protected _LightColor: Color;
    protected _ShowHelper: boolean;
    Clone(): any;
    get Position(): Vector3;
    set Position(v: Vector3);
    get Color(): Color;
    set Color(color: Color);
    get ShowHelper(): boolean;
    set ShowHelper(v: boolean);
    GetObjectSnapPoints(snapMode: ObjectSnapMode, pickPoint: Vector3, lastPoint: Vector3): Vector3[];
    GetGripPoints(): Array<Vector3>;
    MoveGripPoints(indexList: number[], vec: Vector3): void;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    get Intensity(): number;
    set Intensity(v: number);
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Light.d.ts.map