import { Object3D } from 'three';
import { CADFiler } from '../CADFiler';
import { Light } from './Light';
import { RenderType } from '../../GraphicsSystem/RenderType';
/**
 * 点光源
 */
export declare class PointLight extends Light {
    /**
     * If non-zero, light will attenuate linearly from maximum intensity at light position down to zero at distance.
     * Default — 0.0.
     */
    private m_Distance;
    private m_Decay;
    constructor();
    get Decay(): number;
    set Decay(decay: number);
    get Distance(): number;
    set Distance(dist: number);
    protected InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=PointLight.d.ts.map