import { CatmullRomCurve3, Matrix3, Object3D, Shape, Vector3 } from 'three';
import { ObjectSnapMode } from '../Editor/ObjectSnapMode';
import { RenderType } from '../GraphicsSystem/RenderType';
import { CADFiler } from './CADFiler';
import { Curve } from './Entity/Curve';
export declare class Spline extends Curve {
    private _PointList;
    private _ClosedMark;
    constructor(points?: Vector3[]);
    get Shape(): Shape;
    get Curve3(): CatmullRomCurve3;
    get Length(): number;
    get Points(): Vector3[];
    set Points(v: Vector3[]);
    get CloseMark(): boolean;
    get IsClose(): boolean;
    set CloseMark(v: boolean);
    get StartPoint(): Vector3;
    get EndPoint(): Vector3;
    get StartParam(): number;
    get EndParam(): number;
    GetGripPoints(): Vector3[];
    GetStretchPoints(): Vector3[];
    MoveGripPoints(indexList: Array<number>, vec: Vector3): void;
    MoveStretchPoints(indexList: Array<number>, vec: Vector3): void;
    GetObjectSnapPoints(snapMode: ObjectSnapMode, pickPoint: Vector3, lastPoint: Vector3, viewXform?: Matrix3): Vector3[];
    InitDrawObject(renderType?: RenderType): Object3D;
    UpdateDrawObject(type: RenderType, en: Object3D): void;
    Convert2Polyline(count?: number): import("./Entity/Polyline").Polyline;
    protected _ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=Spline.d.ts.map