import { CADObject } from "./CADObject";
import { Status } from "../Common/Status";
import { SymbolTableRecord } from "./SymbolTableRecord";
import { CADFiler } from "./CADFiler";
export declare class SymbolTable extends CADObject {
    /**
     * 符号列表,支持迭代,请勿直接修改数据
     */
    Symbols: Map<string, any>;
    Add(record: SymbolTableRecord, isCheckObjectCleanly?: boolean): Status;
    Remove(record: SymbolTableRecord): void;
    GetAt(name: string): SymbolTableRecord | undefined;
    Has(name: string): boolean;
    AllocateName(name: string): string;
    ChangeRecordName(record: SymbolTableRecord, newName: string): boolean;
    ReadFile(file: CADFiler): void;
    WriteFile(file: CADFiler): void;
}
//# sourceMappingURL=SymbolTable.d.ts.map