import { FontExt } from "./FontExt";
/**
 * 字体加载器
 * # Example:
 ```
 let l = FontLoader.GetLoader("宋体");//得到某个字体的加载器
 l.LoadGlyphs("");        //这行代码同时初始化了字体.
 await l.AwaitLoaded();   //等待载入完成
 let ft = l.Font;         //得到字体
 ```
 */
export declare class FontLoader {
    FontName: string;
    Font: FontExt;
    private constructor();
    /**
     * 得到某个字体的加载器
     * @param fontName 字体名称
     * @returns  字体加载器
     */
    static GetLoader(fontName: string): FontLoader;
    LoadGlyphs(str: string): Promise<void>;
    private waitsFunction;
    AwaitLoaded(): Promise<boolean>;
    /**
     * 初始化加载器
     */
    private Init;
    private m_LoadIng;
    private m_LoadQueue;
    private LoodLoop;
}
//# sourceMappingURL=FontLoader.d.ts.map