/**
 * TENET(时间钳攻击)
 * 这个类保证了在某个时间周期内的操作被保存,通过2个机制来确定生效.
 * 1.周期调用.若有未保存的,则保存它,并且重置计时器.(常规操作)
 * 2.命令结束后调用.若超过时间周期,则保存它,并且重置计时器.(容错操作,避免在周期后产生的记录需要到下个周期才能保存)
 *
 * 保证了:
 * 在命令结束后才运行(避免在命令状态下保存导致的错误)
 */
export declare class AutoSaveServer {
    isCached: boolean;
    private lastTime;
    private timeId;
    constructor();
    Start(): void;
    Stop(): void;
    Do(): void;
    private SaveFile;
    SavaData(data: any[]): Promise<void>;
    Clear(): Promise<void>;
}
//# sourceMappingURL=AutoSave.d.ts.map