import { Viewer } from '../GraphicsSystem/Viewer';
import { Editor, EditorService } from './Editor';
import { SelectSetBase } from './SelectBase';
import { SelectBox, SelectType } from './SelectBox';
import { Filter } from './SelectFilter';
import { SelectSet } from './SelectSet';
export declare class SelectControls implements EditorService {
    private _Viewer;
    private _Editor;
    MaxHightightCount: number;
    private _SelectCss;
    private _SelectSet;
    Filter: Filter;
    private _SelectType;
    private _FirstPickPoint;
    constructor(_Viewer: Viewer, _Editor: Editor);
    get IsReady(): boolean;
    Doit(e: MouseEvent): Promise<boolean>;
    /**
     * 返回当前的选择集,每次重新选择都会返回一个新的SelectSet
     * 不要对返回的对象注入函数,操作AddSelect,而是使用`app.Editor.SelectCtrl.AddSelect`;
     */
    get SelectSet(): SelectSet;
    set SelectType(type: SelectType);
    RegisterEvent(): void;
    UpdateView(): void;
    /**
     * 模拟左键点击.
     * @param [checkPick] 确认鼠标是否点击到实体.
     */
    LeftClick(checkPick?: boolean): void;
    SelectByCss(): SelectBox;
    OnMouseMove(): void;
    OnKeyDown(e: KeyboardEvent): void;
    RestState(): void;
    Cancel(): void;
    AddSelect(selectData: SelectSetBase, noParseGroup?: boolean): void;
    RemoveSelect(selectData: SelectSetBase): void;
    UpdateSelectEvent(): void;
    EndSelectEvent(): void;
    CanenEvent(): void;
}
//# sourceMappingURL=SelectControls.d.ts.map