import { Vector3 } from "three";
import { CSG } from "../csg/core/CSG";
import { Polygon } from "../csg/core/math/Polygon3";
/**
 * 解决 THREEBSP(CSG) 产生的结果没有办法得到分裂的个数.
 * 本类分析了THREEBSP的组合情况.
 *
 * Example:
 *
 * let topology = new BSPGroupParse(csg);
 * topology.parse();
 */
export declare class BSPGroupParse {
    fractionDigits: number;
    constructor(bsp?: CSG, fractionDigits?: number);
    Add(poly: Polygon): void;
    /**
     * 返回组合点
     */
    Parse(): Vector3[][];
    private map;
    private Get;
    private GetPts;
    private vecMap;
    private GenerateP;
}
//# sourceMappingURL=BSPGroupParse.d.ts.map