import { Geometry } from "three";
import { Curve } from "../DatabaseServices/Entity/Curve";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
/**
 * 使用轮廓和扫描路径构建扫描几何体,实现衣柜中的顶线或者地脚线之类的实体.
 * 该几何体需要轮廓和路径的起始截面垂直,否则构造的实体将会错误.
 */
export declare class SweepGeometry extends Geometry {
    edgePts: number[];
    constructor(contour: Polyline, path: Curve);
    AddShape(contour: Polyline, path: Curve): void;
    private BuildSideFaces;
    private BuildLid;
}
//# sourceMappingURL=SweepGeometry.d.ts.map