import { Board } from "../DatabaseServices/Entity/Board";
import { Circle } from "../DatabaseServices/Entity/Circle";
import { Curve } from "../DatabaseServices/Entity/Curve";
import { Polyline } from "../DatabaseServices/Entity/Polyline";
import { IHighSealedItem } from "../UI/Store/BoardInterface";
/**
 *曲线列表分段
 * @l-arc-l,l-arc-arc-l,l-arc-l-arc-l....
 */
export declare function ParagraphCulist(cus: Curve[]): void;
/**
 *计算封边
 */
export declare function CalcEdgeSealing(cus: Curve[]): boolean;
export declare function GetBoardHighSeal(br: Board, sealcus: Curve[]): IHighSealedItem[];
/**偏移前后曲线起点没改变 */
export declare function OffsetOutlineSpNotChange(oldcu: Curve, newCu: Curve): boolean;
/**
 * 获取板件封边轮廓线段数组
 * 消除共线的数据,不改变轮廓方向
 * isOffset-是否偏移轮廓用于查看
 * */
export declare function GetBoardSealingCurves(br: Board, isOffset?: boolean): Curve[];
/**
 * 获取板件轮廓
 * 结果轮廓拆单用，统一逆时针数据
 * hasSealing 轮廓是否包含封边
 * 用户计算拆单侧孔面id
 */
export declare function GetSealedBoardContour(br: Board, hasSealing: boolean): Polyline | Circle | undefined;
export declare function ParagraphSealinglist(hightSeal: IHighSealedItem[], cus: Curve[]): IHighSealedItem[];
/**处理常规板件封边数据和上下左右封边值 */
export declare function HandleRectBoardSealingData(br: Board, edges: IHighSealedItem[], cus?: Curve[]): void;
//# sourceMappingURL=CalcEdgeSealing.d.ts.map