import React = require("react");
import { EBoardKeyList } from "../../../Common/BoardKeyList";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { ObjectId } from "../../../DatabaseServices/ObjectId";
import { ProcessingGroupRecord } from "../../../DatabaseServices/ProcessingGroup/ProcessingGroupRecord";
import { IBaseOption, LinesType } from "../../Store/BoardInterface";
export interface IBoardInfoListProps {
    className: string;
    index: number;
    dataBr: Board;
    realBr: Board;
    UpdateSeletctedBr: Function;
    ModifyDataRecord: Function;
    processGroupData: Map<string, ObjectId[]>;
    style: React.CSSProperties;
    isSelect: boolean;
}
export interface IBoardInfoOptions extends IBaseOption {
    [EBoardKeyList.Height]?: string;
    [EBoardKeyList.Width]?: string;
    [EBoardKeyList.Thick]?: string;
    "brName"?: string;
    [EBoardKeyList.BrMat]?: string;
    [EBoardKeyList.Mat]?: string;
    [EBoardKeyList.Color]?: string;
    [EBoardKeyList.RoomName]?: string;
    [EBoardKeyList.CabinetName]?: string;
    [EBoardKeyList.Lines]?: LinesType;
    [EBoardKeyList.ProcessGroup]?: ProcessingGroupRecord[];
    [EBoardKeyList.UpSealed]?: string;
    [EBoardKeyList.DownSealed]?: string;
    [EBoardKeyList.LeftSealed]?: string;
    [EBoardKeyList.RightSealed]?: string;
}
/**
 * 批量查看板件属性 列表
 */
export declare class BoardInfoList extends React.Component<IBoardInfoListProps, IBoardInfoOptions> {
    private tags;
    private showAlert;
    private removepg;
    trRef: HTMLDivElement;
    isSelected: boolean;
    private removeFuncs;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    UNSAFE_componentWillReceiveProps(nextProps: IBoardInfoListProps): void;
    UNSAFE_componentWillMount(): void;
    InitState: (board: Board) => void;
    HandleOnClick: (findSameTypeBrDataKey?: string) => void;
    GetBgColor: () => string;
    ToggleBgColor: () => void;
    private updateTags;
    private GetRemovable;
    private RemoveTag;
    private GetTemplatePgName;
    private GetInputVal;
    private HandleAlertOnComfirm;
    render(): JSX.Element;
}
//# sourceMappingURL=BoardInfosList.d.ts.map