import React = require("react");
import { IconName } from "@blueprintjs/core";
import { ICountType } from "../../../Add-on/LookOverBoardInfos/LookOverBoardInfosTool";
import { Board } from "../../../DatabaseServices/Entity/Board";
import { ObjectId } from "../../../DatabaseServices/ObjectId";
import { ProcessingGroupRecord } from "../../../DatabaseServices/ProcessingGroup/ProcessingGroupRecord";
import { IHardwareType } from "../../../Production/Product";
import { EFindType } from "../../Store/BoardFindInterface";
import { LinesType } from "../../Store/BoardInterface";
import { IBoardInfoOptions } from "./BoardInfosList";
interface BoardData {
    dataBr: Board[];
    realBr: Board[];
}
interface LookOverBoardInfosModalProps {
    boardList: (Board | IHardwareType)[];
}
interface SortBtnData {
    text: string;
    icon: IconName;
}
declare class ListItemSelectEvent {
    SingerSelectItemEvent(): void;
}
interface LookOverBoardInfosModalState {
    dragDivH: number;
}
export declare const ListItemSelectEventEmitter: ListItemSelectEvent;
/**
 * 批量查看板件属性 对话框 (bbs)
 */
export declare class LookOverBoardInfosModal extends React.Component<LookOverBoardInfosModalProps, LookOverBoardInfosModalState> {
    dragDivH: number;
    dataList: BoardData;
    drillCount: ICountType[];
    hardwareCount: ICountType[];
    areaCount: ICountType<Board>[];
    searchRes: BoardData;
    searchingStr: string;
    private boardDataInArray;
    private removeFuncs;
    modifyBoardData: Map<Board, IBoardInfoOptions>;
    selectedBrOnList: Board[];
    findSameTypeBrDataKey: string;
    isCtrlDown: boolean;
    processGroupMap: Map<string, ObjectId[]>;
    sortBtnData: SortBtnData[];
    constructor(p: any);
    UNSAFE_componentWillMount(): void;
    UpdateDisplayData(dataSource?: Board[]): void;
    UpdateDrillCount(brs?: (Board | IHardwareType)[]): void;
    get BoardList(): Board[];
    UpdateProcessGroupData(): void;
    InitWidth: () => void;
    componentDidMount(): void;
    componentWillUnmount(): void;
    OnOk(state: number, data?: {
        type: EFindType;
    }): Promise<void>;
    ConvertBoardListDataToArray: () => void;
    GetBrPGNamesWithNumber: (br: Board) => string[];
    SearchData: () => void;
    RegxpTest: (b: string, regexpArr: RegExp[]) => boolean;
    SpiltSearchStr: (str: string) => string[];
    UpdateSeletctedBr: ((index: number, findSameTypeBrDataKey?: string) => void) & import("mobx").IAction;
    ClearSelectedBr: () => void;
    LookSelectBr: () => void;
    private CheckOutChosenBr;
    private ClearSelect;
    CheckOutSameTypeBr: (boardList: Board[]) => void;
    private FilterBr;
    ModifyDataMap: (index: number, brData: Board, modifyKey: string, value: string | LinesType | ProcessingGroupRecord[]) => void;
    Modify(): void;
    ModifyBoard: (br: Board, opts: IBoardInfoOptions) => void;
    CalcArea: () => string;
    HandleExportCSV: () => void;
    SortFunc: (a: number | string, b: number | string, asc: boolean) => number;
    HandleSort: (btnText: string) => void;
    render(): JSX.Element;
}
export {};
//# sourceMappingURL=LookOverBoardInfos.d.ts.map