import { Singleton } from '../../Common/Singleton';
export declare enum ToolBarType {
    both = 3,
    toolbar = 1,
    properties = 2,
    none = 0
}
export interface ISnapData {
    mode: string;
    name: string;
    enable: boolean;
}
/**
 * 底部状态栏.
 */
export declare class DownPanelStore extends Singleton {
    private _version;
    useDynInput: boolean;
    showType: ToolBarType;
    useDynSnap: boolean;
    usePass: boolean;
    useOrtho: boolean;
    fontName: string;
    progressName: string;
    progress: number;
    isToolBarShow: boolean;
    isF3Checked: boolean;
    isF11Checked: boolean;
    posEl: HTMLSpanElement;
    isLayout: boolean;
    snapData: ISnapData[];
    private timeId;
    private constructor();
    get Config(): {
        useDynInput: boolean;
        useDynSnap: boolean;
        usePass: boolean;
        useOrtho: boolean;
        isToolBarShow: boolean;
        isF3Checked: boolean;
        isF11Checked: boolean;
        snapData: boolean[];
        fontName: string;
    };
    Upload(): Promise<void>;
    Update(): Promise<void>;
    toggleToolBarShow(): void;
    SetSnapMode(): void;
    StartProgress(name?: string, progress?: number): void;
    EndProgress(): void;
}
//# sourceMappingURL=DownPanelStore.d.ts.map