import { Singleton } from "../../Common/Singleton";
import { IGoodProps, PhysicalMaterialRecord } from "../../DatabaseServices/PhysicalMaterialRecord";
import { TextureTableRecord } from "../../DatabaseServices/Texture";
import { IDirectoryProps } from "../Components/SourceManage/CommonPanel";
import { TextureStore } from "./TextureStore";
export declare class MaterialStore extends Singleton {
    name: import("mobx").IObservableValue<string>;
    color: import("mobx").IObservableValue<string>;
    matalness: import("mobx").IObservableValue<number>;
    useTransparent: import("mobx").IObservableValue<boolean>;
    transparent: import("mobx").IObservableValue<number>;
    textureMaping: TextureStore;
    bumpScale: import("mobx").IObservableValue<number>;
    bumpMaping: TextureStore;
    roughness: import("mobx").IObservableValue<number>;
    roughnessMaping: TextureStore;
    protected reactionDestroy: any;
    isOpenTexture: boolean;
    isOpenImgList: boolean;
    goodsInfo: IGoodProps;
    currentEditorStore: TextureStore;
    currentTextureTable: TextureTableRecord;
    currentDir: IDirectoryProps;
    isFull: boolean;
    constructor();
    get Textures(): [string, TextureTableRecord][];
    get SelfTextures(): [any, any][];
    StartObserve(): void;
    Destroy(): void;
    Material: PhysicalMaterialRecord;
    BindMaterial(material: PhysicalMaterialRecord): void;
    BindTextureId(texture: TextureTableRecord): void;
    UpdateMaterial: () => Promise<void>;
    UpdateStore(): void;
    InitTextureStore(): void;
    AddTexture(): Promise<void>;
    ApplyTexture(texture: TextureTableRecord): void;
    ChangeTextureImg(pic: {
        path: string;
    }): Promise<void>;
}
//# sourceMappingURL=MaterialStore.d.ts.map