import { ICompHardwareOption, IHardwareOption, IToplineOption } from "../../Components/RightPanel/RightPanelInterface";
import { IConfigStore } from "../BoardStore";
import { IConfigOption } from "../../Components/Board/UserConfig";
import { HardwareCompositeEntity } from "../../../DatabaseServices/Hardware/HardwareCompositeEntity";
import { HardwareTopline } from "../../../DatabaseServices/Hardware/HardwareTopline";
export declare abstract class BaseHardwareStore implements IConfigStore {
    configName: string;
    configsNames: string[];
    option: IHardwareOption;
    otherOptions: [string, string][];
    Entity: HardwareCompositeEntity | HardwareTopline;
    rotation: string;
    constructor();
    private Init;
    get KvList(): [string, string][];
    InitOption(): void;
    SaveConfig(): IConfigOption<import("../BoardInterface").AnyObject>;
    UpdateOption(cof: IConfigOption): void;
    HasInvailValue(): string;
}
export declare class CompositeHardwareStore extends BaseHardwareStore {
    option: ICompHardwareOption;
    InitOption(): void;
    UpdateOption(cof: IConfigOption): void;
}
export declare class ToplineMetalsStore extends BaseHardwareStore {
    option: IToplineOption;
    InitOption(): void;
    UpdateOption(cof: IConfigOption): void;
}
export declare const compositeMetalsStore: CompositeHardwareStore;
export declare const compositeMetalsOptionStore: CompositeHardwareStore;
export declare const toplineMetalsStore: ToplineMetalsStore;
//# sourceMappingURL=HardwareStore.d.ts.map