import { Light } from "../../../DatabaseServices/Lights/Light";
export interface LightModalState {
    x?: string;
    y?: string;
    z?: string;
    Intensity?: string;
    Distance?: string;
    Decay?: string;
    Angle?: string;
    Penumbra?: string;
    Width?: string;
    Height?: string;
    Color?: string;
    GroundColor?: string;
    Elevation?: string;
    Rotation?: string;
}
export declare enum ETime {
    Default = "\u9ED8\u8BA4",
    Morning = "\u4E0A\u5348",
    Noon = "\u4E2D\u5348",
    Afternoon = "\u4E0B\u5348",
    Evening = "\u508D\u665A"
}
export declare class LightStore {
    ShowAmbientLight: boolean;
    ShowSunLight: boolean;
    ShowHemiLight: boolean;
    currentSelectEnt: Light;
    title: string;
    pars: [string, string][];
    lightData: LightModalState;
    ambientLightData: {
        Color: string;
        Intensity: string;
    };
    hemisphereLightData: {
        GroundColor: string;
        Color: string;
        Intensity: string;
    };
    sunLightData: {
        Intensity: string;
        time: ETime;
        Elevation: string;
        Rotation: string;
    };
    isShowShadow: boolean;
    constructor();
    InitSunLightData(): void;
    InitLightData(light: Light): void;
    ShowShadowObject(isShow: boolean): void;
    private WatchLightEvent;
    private UpdateDirLightShadowArea;
}
//# sourceMappingURL=LightStore.d.ts.map